import { get } from 'lodash'
import { H2 } from '@pubsweet/ui'
import styled, { css } from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

import { marginHelper, paddingHelper } from './'

const width = props => css`
  width: calc(${th('gridUnit')} * ${get(props, 'width', 50)});
`

export default styled.div.attrs({
  pt: props => get(props, 'pt', 2),
  pr: props => get(props, 'pr', 2),
  pb: props => get(props, 'pb', 2),
  pl: props => get(props, 'pl', 2),
})`
  background-color: ${th('colorBackgroundHue')};
  border-radius: ${th('borderRadius')};
  box-shadow: ${th('boxShadow')};
  display: flex;
  flex-direction: column;

  position: ${props => get(props, 'position', 'initial')};

  ${width};
  ${marginHelper};
  ${paddingHelper};

  ${H2} {
    text-align: center;
  }
`
