import React, { Fragment } from 'react'
import { compose, withStateHandlers } from 'recompose'

const MyMenu = ({ open, toggleMenu, field, form }) => (
  <div onClick={toggleMenu}>
    Click to open
    {open && (
      <Fragment>
        <span onClick={() => form.setFieldValue(field.name, 1)}>Option 1</span>
        <span onClick={() => form.setFieldValue(field.name, 2)}>Option 2</span>
        <span onClick={() => form.setFieldValue(field.name, 3)}>Option 3</span>
      </Fragment>
    )}
  </div>
)

export default compose(
  withStateHandlers(
    { open: false },
    {
      toggleMenu: ({ open }) => () => ({
        open: !open,
      }),
    },
  ),
)(MyMenu)
